%define snapshot 20070203
Name: ion3
Version: 3.0.0
Release: alt6.%snapshot

Summary: Tiling tabbed window manager designed with keyboard users in mind.
License: LGPL
Group: Graphical desktop/Other
Url: http://modeemi.cs.tut.fi/~tuomov/ion/

Source: http://modeemi.cs.tut.fi/~tuomov/ion/dl/ion-3ds-%snapshot.tar.gz
Source1: %name.xpm
Source2: %name.menu-method
Source3: %name.cfg_usermenu.lua
Source4: %name.alt-menu.patch
Patch0: ion3-3ds-20051029-alt-makefile.patch
Patch1: %name-alt-makefile-ld.patch
BuildPreReq: xorg-x11-devel liblua5-devel lua5 xmessage
Requires: xmessage

%description
Ion is a tiling tabbed window manager designed with keyboard users in mind.
Ion was written as an experiment on a different kind of window management model. 
It tries to address the navigation problem by dividing the screen into mutually 
non-overlapping frames that take up the whole screen. 
Big displays have so much space that this should be convenient and smaller displays 
couldn't show more than one window at a time anyway.

%prep
%setup -q -n ion-3ds-%snapshot
%patch0 -p1
%patch1 -p1
%__cp %SOURCE3 ./cfg_usermenu.lua

%build
pushd build/ac
autoreconf
export LUAC=%_bindir/luac5
%configure \
	--with-lua-libraries=%_libdir \
	--x-includes=%_x11includedir \
	--x-libraries=%_x11libdir \
	--bindir=%_x11bindir \
	--libdir=%_x11libdir \
	--datadir=%_x11datadir \
	--mandir=%_x11mandir \
	--libexecdir=%_x11libdir 
	
#    --disable-xfree86-textprop-bug-workaround \
#    --enable-Xutf8 \		
popd
	
%make

%install
%__mkdir_p %buildroot%_sysconfdir/menu-methods
%__mkdir_p %buildroot%_sysconfdir/X11/wmsession.d
cat > %buildroot%_sysconfdir/X11/wmsession.d/99Ion3 <<EOF
NAME=Ion3
ICON=%_iconsdir/%name.xpm
EXEC=%_x11bindir/ion3
DESC=Lightweight keyboard-oriented wm with tabs
SCRIPT:
exec %_x11bindir/ion3
EOF

%__mkdir_p %buildroot%_iconsdir
%__install -m755 %SOURCE2 %buildroot%_sysconfdir/menu-methods/%name
%__cp %SOURCE1 %buildroot%_iconsdir/%name.xpm

%make_install DESTDIR=%buildroot install
pushd %buildroot%_sysconfdir/%name
%__patch -p2 <%SOURCE4
popd

#cleaning
rm -rf %buildroot%_x11datadir/doc/ion3 %buildroot%_x11mandir/{cs,de,fi}

%find_lang %name

%postun -n ion3
%clean_wms


%post -n ion3
%update_wms


%files -f %name.lang
%doc ChangeLog LICENSE README RELNOTES cfg_usermenu.lua
%_x11bindir/*
%_x11mandir/man1/*
%_sysconfdir/ion3
%_sysconfdir/menu-methods/*
%_sysconfdir/X11/wmsession.d/*
%_x11libdir/ion3
%_x11datadir/ion3
%_iconsdir/%name.xpm

%changelog
* Thu Sep 25 2008 Ilya Mashkin <oddity@altlinux.ru> 3.0.0-alt6.20070203
- rebuild
- update requires

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 3.0.0-alt5.20070203.qa1
- NMU (by repocop): the following fixes applied:
 * update_wms for ion3

* Sun Mar 11 2007 Andrew Kornilov <hiddenman@altlinux.ru> 3.0.0-alt5.20070203
- New snapshot 
- Added xmessage to buildreqs

* Mon Jan 15 2007 Andrew Kornilov <hiddenman@altlinux.ru> 3.0.0-alt4.20061223
- New snapshot
- Fixed ld link options (for -as-needed)

* Mon Dec 18 2006 Andrew Kornilov <hiddenman@altlinux.ru> 3.0.0-alt3.20061029
- New menu-script (thanks to Alexey V. Novikov)
- New patch (support of the user's submenu)
- User-menu example

* Wed Dec 13 2006 Andrew Kornilov <hiddenman@altlinux.ru> 3.0.0-alt2.20061029
- Fixed menu-script

* Fri Dec 08 2006 Andrew Kornilov <hiddenman@altlinux.ru> 3.0.0-alt1.20061029
- Updated to 20061029 snapshot
- Experimental menu-method script from Alexey V. Novikov
- Addes xmessage requirement

* Tue Jun 13 2006 Andrew Kornilov <hiddenman@altlinux.ru> 3.0.0-alt0.20060613
- Updated to 20060613 snapshot.

* Thu Jun 08 2006 Andrew Kornilov <hiddenman@altlinux.ru> 3.0.0-alt0.20060608
- Updated to 20060608 snapshot.

* Sat Dec 17 2005 Damir Shayhutdinov <damir@altlinux.ru> 3.0.0-alt0.20051210
- Updated to 20051210 snapshot.

* Thu Nov 17 2005 Damir Shayhutdinov <damir@altlinux.ru> 3.0.0-alt0.20051029
- Initial build for Sisyphus.

